Subject: Re: Tests tree not submitted?

From: Andrew Morton <[email-masked]>
Date: Sun, 18 May 2008 22:00:03 -0700

On Mon, 19 May 2008 10:08:22 +0530 Ananth N Mavinakayanahalli <[email-masked]> wrote:

> On Mon, May 19, 2008 at 01:54:36PM +1000, Stephen Rothwell wrote:
> > Hi Ananth, Sam,
> 
> Hi Stephen,
> 
> > Is there some reason that the tests tree changes have not bee submitted
> > to Linus yet?  They have been in linux-next for quite some time now
> > (since February 24) without any changes.
> 
> When this was submitted last, the opinion was that since it was post
> 2.6.25-rc2 and since it had Kconfig changes, this should be deferred to
> the next release. However I got busy during the merge time and couldn't
> resumbit this.
> 
> I believe this being a code movement, its mostly benign. But if it needs
> to wait for 2.6.27, thats fine too; also given that the -mm is now based
> on -next, it'll get a lot more tested.
> 
> Andrew,
> 
> What is the best way forward here? Given the code has been in -next for
> a few months, and given -mm is now based on -next, will you be pushing
> these changes to Linus during the next merge window? Or, do you want me
> to resubmit the patchset again later in the 2.6.26-rc cycle?

<brief panic>

I don't even know what the "tests" tree _is_.

Searching the past seven weeks lmkl archives for From:.*ananth.* turns
up zero hits.

So whatever this thing is, it's waaaaaaaaaaaaaaaaaaaaay too low-profile.

Did you even send Linus a pull request?  I have no record of one.

Secret tree :(